;======================================================================
;======================================================================
;Commands file for "Warakia_X"
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Button remapping and default initialize
;----------------------------------------------------------------------

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;----------------------------------------------------------------------
; Automatic ChangeState
;----------------------------------------------------------------------

[Command]
name = "AC_01"
command = s
time = 25

;----------------------------------------------------------------------
; Super Special Moves
;----------------------------------------------------------------------

[Command]
name = "2141236c"
command = ~D, B, D, F, c
time = 25

[Command]
name = "2363214c"
command = ~D, F, D, B, c
time = 25

[Command]
name = "2141236b"
command = ~D, B, D, F, b
time = 25

[Command]
name = "2363214b"
command = ~D, F, D, B, b
time = 25

[Command]
name = "2141236a"
command = ~D, B, D, F, a
time = 25

[Command]
name = "2363214a"
command = ~D, F, D, B, a
time = 25

[Command]
name = "214214a"
command = ~D, B, D, B, a
time = 25

[Command]
name = "236236a"
command = ~D, F, D, F, a
time = 25

[Command]
name = "236236b"
command = ~D, F, D, F, b
time = 25

[Command]
name = "236236c"
command = ~D, F, D, F, c
time = 25

[Command]
name = "222z"
command = ~D, D, D, z
time = 25

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[Command]
name = "63214a"
command = ~$F, $D, $B, a
time = 10

[Command]
name = "63214b"
command = ~$F, $D, $B, b
time = 10

[Command]
name = "63214c"
command = ~$F, $D, $B, c
time = 10

[Command]
name = "41236a"
command = ~$B, $D, $F, a
time = 10

[Command]
name = "41236b"
command = ~$B, $D, $F, b
time = 10

[Command]
name = "41236c"
command = ~$B, $D, $F, c
time = 10

[Command]
name = "421a"
command = ~B, D, DB, a
time = 15

[Command]
name = "421b"
command = ~B, D, DB, b
time = 15

[Command]
name = "421c"
command = ~B, D, DB, c
time = 15

[Command]
name = "623a"
command = ~F, D, DF, a
time = 15

[Command]
name = "623b"
command = ~F, D, DF, b
time = 15

[Command]
name = "623c"
command = ~F, D, DF, c
time = 15

[Command]
name = "214a"
command = ~D, DB, B, a
time = 10

[Command]
name = "214b"
command = ~D, DB, B, b
time = 10

[Command]
name = "214c"
command = ~D, DB, B, c
time = 10

[Command]
name = "236a"
command = ~D, DF, F, a
time = 10

[Command]
name = "236b"
command = ~D, DF, F, b
time = 10

[Command]
name = "236c"
command = ~D, DF, F, c
time = 10

[Command]
name = "22a"
command = ~D, D, a
time = 15

[Command]
name = "22b"
command = ~D, D, b
time = 15

[Command]
name = "22c"
command = ~D, D, c
time = 15

[Command]
name = "DUF" 
command = ~D,$UF
time = 7

[Command]
name = "DUB" 
command = ~D,$UB
time = 7

;----------------------------------------------------------------------
; Single Button
;----------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;----------------------------------------------------------------------
; Single Button - Release
;----------------------------------------------------------------------

[Command]
name = "release_a"
command = ~a
time = 1

[Command]
name = "release_b"
command = ~b
time = 1

[Command]
name = "release_c"
command = ~c
time = 1

[Command]
name = "release_x"
command = ~x
time = 1

[Command]
name = "release_y"
command = ~y
time = 1

[Command]
name = "release_z"
command = ~z
time = 1

;----------------------------------------------------------------------
; Single Button - Hold
;----------------------------------------------------------------------

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

;----------------------------------------------------------------------
; Directions
;----------------------------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "up"
command = $U
time = 1

;----------------------------------------------------------------------
; Others
;----------------------------------------------------------------------

[Command]
name = "dodge"
command = a+b 
time = 1

[Command]
name = "dodge"
command = b+c
time = 1

[Command]
name = "throw"
command = a+z 
time = 1

;----------------------------------------------------------------------
; System Required
;----------------------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "recovery"
command = y
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

;======================================================================
;======================================================================
; Statedef -1
;======================================================================
;======================================================================

[Statedef -1]

;----------------------------------------------------------------------
; Super Special Moves
;----------------------------------------------------------------------

[State -1, 2141236C - Warakia]
type = ChangeState
triggerall = command = "2141236c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(18020) < 1
triggerall = NumHelper(18120) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 8020

[State -1, 2363214C - Warakia]
type = ChangeState
triggerall = command = "2363214c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(18020) < 1
triggerall = NumHelper(18120) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 8120

[State -1, 2141236B - Warakia]
type = ChangeState
triggerall = command = "2141236b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1230

[State -1, 2141236B - Warakia]
type = ChangeState
triggerall = command = "2141236b"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [400,430]) && (var(2) = 1)
value = 1235

[State -1, 2363214B - Warakia]
type = ChangeState
triggerall = command = "2363214b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1240

[State -1, 2363214B - Warakia]
type = ChangeState
triggerall = command = "2363214b"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [400,430]) && (var(2) = 1)
value = 1245

[State -1, 2141236A - Warakia]
type = ChangeState
triggerall = command = "2141236a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1460

[State -1, 2363214A - Warakia]
type = ChangeState
triggerall = command = "2363214a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1270

[State -1, 214214A - Warakia]
type = ChangeState
triggerall = command = "214214a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1250

[State -1, 236236A - Warakia]
type = ChangeState
triggerall = command = "236236a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11230) < 1
triggerall = NumHelper(11240) < 1
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1260

[State -1, 236236B - Warakia]
type = ChangeState
triggerall = command = "236236b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
triggerall = var(9) = 0
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1710

[State -1, 236236C - Warakia]
type = ChangeState
triggerall = command = "236236c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power = 3000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4) || (var(14) = 5)
triggerall = var(9) = 0
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1700

;----------------------------------------------------------------------
; Super Moves
;----------------------------------------------------------------------


[State -1, 63214A - Warakia]
type = ChangeState
triggerall = command = "63214a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11300) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1300

[State -1, 63214B - Warakia]
type = ChangeState
triggerall = command = "63214b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11310) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1310

[State -1, 63214C - Warakia]
type = ChangeState
triggerall = command = "63214c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11320) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1320

[State -1, 41236A - Warakia]
type = ChangeState
triggerall = command = "41236a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11500) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1500

[State -1, 41236B - Warakia]
type = ChangeState
triggerall = command = "41236b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11510) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1510

[State -1, 41236C - Warakia]
type = ChangeState
triggerall = command = "41236c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = NumHelper(11520) < 1
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1520

[State -1, 421A - Warakia]
type = ChangeState
triggerall = command = "421a"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,430]) && (var(2) = 1)
value = 1400

[State -1, 421B - Warakia]
type = ChangeState
triggerall = command = "421b"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,430]) && (var(2) = 1)
value = 1410

[State -1, 421C - Warakia]
type = ChangeState
triggerall = command = "421c"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,430]) && (var(2) = 1)
value = 1420

[State -1, 623A - Warakia]
type = ChangeState
triggerall = command = "623a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1100

[State -1, 623B - Warakia]
type = ChangeState
triggerall = command = "623b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1110

[State -1, 623C - Warakia]
type = ChangeState
triggerall = command = "623c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1120

[State -1, 214A - Warakia]
type = ChangeState
triggerall = command = "214a"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,420]) && (var(2) = 1)
value = 1430

[State -1, 214B - Warakia]
type = ChangeState
triggerall = command = "214b"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,420]) && (var(2) = 1)
value = 1440

[State -1, 214B - Warakia]
type = ChangeState
triggerall = command = "214c"
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4)
trigger1 = Ctrl
trigger2 = (StateNo = [200,420]) && (var(2) = 1)
value = 1450

[State -1, 236A - Warakia]
type = ChangeState
triggerall = command = "236a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1000

[State -1, 236B - Warakia]
type = ChangeState
triggerall = command = "236b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1010

[State -1, 236C - Warakia]
type = ChangeState
triggerall = command = "236c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1020

[State -1, 22A - Warakia]
type = ChangeState
triggerall = command = "22a"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1200

[State -1, 22A - Warakia]
type = ChangeState
triggerall = command = "22a"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [400,430]) && (var(2) = 1)
value = 1205

[State -1, 22B - Warakia]
type = ChangeState
triggerall = command = "22b"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1210

[State -1, 22B - Warakia]
type = ChangeState
triggerall = command = "22b"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = [400,430]) && (var(2) = 1)
value = 1215

[State -1, 22C - Warakia]
type = ChangeState
triggerall = command = "22c"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4)
trigger1 = Ctrl
trigger2 = (StateNo = [200,320]) && (var(2) = 1)
value = 1220

[State -1, 22C - Warakia]
type = ChangeState
triggerall = command = "22c"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (Power >= 1000) || (var(14) = 1) || (var(14) = 2) || (var(14) = 4)
trigger1 = Ctrl
trigger2 = (StateNo = [400,430]) && (var(2) = 1)
value = 1225

;----------------------------------------------------------------------
; Special Moves
;----------------------------------------------------------------------

[State -1, HEAT]
type = ChangeState
triggerall = command = "222z"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = var(14) = 0
triggerall = Power >= 1000
triggerall = !isHelper
trigger1 = ctrl
value = 700

[State -1, BLOOD HEAT]
type = ChangeState
triggerall = command = "222z"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = var(14) = 2
triggerall = !isHelper
trigger1 = ctrl
value = 710

[State -1, Dash]
type = ChangeState
triggerall = command = "FF"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo != [100,106]
trigger1 = Ctrl
value = 100

[State -1, Back Dash]
type = ChangeState
triggerall = command = "BB"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo != [100,106]
trigger1 = Ctrl
value = 105

[State -1, Air Dash]
type = ChangeState
triggerall = command = "FF"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(7) < 1
trigger1 = Ctrl
value = 110

[State -1, Air Back Dash]
type = ChangeState
triggerall = command = "BB"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo != [110,116]
triggerall = var(7) < 1
trigger1 = Ctrl
value = 115

[State -1, Air Jump]
type = ChangeState
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = var(5) < 1
triggerall = ctrl
trigger1 = var(6) = 1
value = 45

[State -1, Jump Cancel - in Ground]
type = ChangeState
triggerall = command = "up"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo = [200,320]
trigger1 = var(2) = 1
value = 40

[State -1, Jump Cancel - in Air]
type = ChangeState
triggerall = command = "up"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = StateNo = [400,430]
triggerall = var(5) < 1
trigger1 = var(2) = 1
value = 45

[State -1, Throw - in Ground]
type = ChangeState
triggerall = command = "throw"
triggerall = StateType = S
triggerall = MoveType = I
triggerall = P2BodyDist X < 20
triggerall = P2MoveType != H
triggerall = P2StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = ctrl
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
value = 500

[State -1, Throw - in Ariel]
type = ChangeState
triggerall = command = "throw"
triggerall = StateType = A
triggerall = P2StateType = A
triggerall = P2BodyDist X < 5
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
triggerall = (command = "holdfwd") || (command = "holdback")
triggerall = P2StateNo != [120,155]
trigger1 = ctrl
trigger2 = (StateNo = [400,420]) && (var(2) = 1)
value = 510

[State -1, Shield - Stand]
type = ChangeState
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = StateType = S
triggerall = MoveType = I
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = ctrl
value = 540

[State -1, Shield - Crouch]
type = ChangeState
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = StateType = C
triggerall = MoveType = I
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = ctrl
value = 550

[State -1, Shield - Ariel]
type = ChangeState
triggerall = command = "z"
triggerall = StateType = A
triggerall = MoveType = I
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = ctrl
value = 560

[State -1, Advancing Guard - Stand]
type = ChangeState
triggerall = command = "z"
triggerall = StateType = S
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = (stateno = 150) || (stateno = 151)
value = 570

[State -1, Advancing Guard - Crouch]
type = ChangeState
triggerall = command = "z"
triggerall = StateType = C
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = (stateno = 152) || (stateno = 153)
value = 571

[State -1, Advancing Guard - Ariel]
type = ChangeState
triggerall = command = "z"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = (stateno = 154) || (stateno = 155)
value = 572

[State -1, Dodge]
type = ChangeState
triggerall = command = "dodge"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = MoveType = I
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = ctrl
value = 530

[State -1, Circuit Spark]
type = ChangeState
triggerall = command = "dodge"
triggerall = (StateType = S) || (StateType = C)
triggerall = MoveType = H
triggerall = Alive
triggerall = var(59) = 0
trigger1 = var(14) = 1
trigger2 = var(14) = 2
trigger3 = var(14) = 4
trigger4 = var(14) = 5
value = 600

[State -1, Romantic Cancel]
type = Null;ChangeState
triggerall = command = "z"
triggerall = Alive
triggerall = var(59) = 0
trigger1 = (StateNo = [200,320]) && (var(2) = 1)
value = 610

[State -1, Romantic Cancel - Ariel]
type = Null;ChangeState
triggerall = command = "z"
triggerall = Alive
triggerall = var(59) = 0
trigger1 = (StateNo = [400,420]) && (var(2) = 1)
value = 611

[State -1, Force Romantic Cancel - Normal]
type = ChangeState
triggerall = command = "z"
triggerall = Alive
triggerall = var(59) = 0
triggerall = var(14) = 0
triggerall = Power >= 750
trigger1 = (StateNo = [1300,1320]) && (var(11) = 1)
trigger2 = (StateNo = [1500,1520]) && (var(11) = 1)
trigger3 = StateNo = 8020 && (var(11) = 1)
trigger4 = StateNo = 8120 && (var(11) = 1)
value = 612

[State -1, Force Romantic Cancel - HEAT / MAX / BLOOD HEAT]
type = ChangeState
triggerall = command = "z"
triggerall = Alive
triggerall = var(59) = 0
triggerall = (var(14) > 0) && (var(14) != 3)
trigger1 = (StateNo = [1300,1320]) && (var(11) = 1)
trigger2 = (StateNo = [1500,1520]) && (var(11) = 1)
trigger3 = StateNo = 8020 && (var(11) = 1)
trigger4 = StateNo = 8120 && (var(11) = 1)
value = 612

[State -1, High jump - forward]
type = ChangeState
triggerall = command = "DUF"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
value = 520

[State -1, High jump - back]
type = ChangeState
triggerall = command = "DUB"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
value = 521

;----------------------------------------------------------------------
; Basic Attacks
;----------------------------------------------------------------------

[State -1, Stand Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = 200) && (AnimElemTime(3) > 0)
trigger3 = (StateNo = [210,230]) && (var(2) = 1)
trigger4 = (StateNo = [300,320]) && (var(2) = 1)
value = 200

[State -1, Stand Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/10%10 = 0)
trigger3 = StateNo = 220 && (var(2) = 1) && (var(4)/10%10 = 0)
trigger4 = StateNo = 300 && (var(2) = 1) && (var(4)/10%10 = 0)
trigger5 = StateNo = 310 && (var(2) = 1) && (var(4)/10%10 = 0)
trigger6 = StateNo = 320 && (var(2) = 1) && (var(4)/10%10 = 0)
value = 210

[State -1, Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger3 = StateNo = 210 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger4 = StateNo = 220 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger5 = StateNo = 300 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger6 = StateNo = 310 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger7 = StateNo = 320 && (var(2) = 1) && (var(4)/1000%10 = 0)
value = 230

[State -1, Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdback"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger3 = StateNo = 210 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger4 = StateNo = 220 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger5 = StateNo = 300 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger6 = StateNo = 310 && (var(2) = 1) && (var(4)/1000%10 = 0)
trigger7 = StateNo = 320 && (var(2) = 1) && (var(4)/1000%10 = 0)
value = 240

[State -1, Stand Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/100%10 = 0)
trigger3 = StateNo = 210 && (var(2) = 1) && (var(4)/100%10 = 0)
trigger4 = StateNo = 300 && (var(2) = 1) && (var(4)/100%10 = 0)
trigger5 = StateNo = 310 && (var(2) = 1) && (var(4)/100%10 = 0)
trigger6 = StateNo = 320 && (var(2) = 1) && (var(4)/100%10 = 0)
value = 220

[State -1, Crouch Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = 300) && (AnimElemTime(3) > 0)
trigger3 = (StateNo = [200,240]) && (var(2) = 1)
trigger4 = (StateNo = [300,320]) && (var(2) = 1)
value = 300

[State -1, Crouch Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/10000%10 = 0)
trigger3 = StateNo = 210 && (var(2) = 1) && (var(4)/10000%10 = 0)
trigger4 = StateNo = 220 && (var(2) = 1) && (var(4)/10000%10 = 0)
trigger5 = StateNo = 300 && (var(2) = 1) && (var(4)/10000%10 = 0)
trigger6 = StateNo = 320 && (var(2) = 1) && (var(4)/10000%10 = 0)
value = 310

[State -1, Crouch Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = StateType != A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 200 && (var(2) = 1) && (var(4)/100000%10 = 0)
trigger3 = StateNo = 210 && (var(2) = 1) && (var(4)/100000%10 = 0)
trigger4 = StateNo = 220 && (var(2) = 1) && (var(4)/100000%10 = 0)
trigger5 = StateNo = 300 && (var(2) = 1) && (var(4)/100000%10 = 0)
trigger6 = StateNo = 310 && (var(2) = 1) && (var(4)/100000%10 = 0)
value = 320

[State -1, Ariel Light Attack]
type = ChangeState
triggerall = command = "a"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = (StateNo = 400) && (AnimElemTime(2) > 0)
value = 400

[State -1, Ariel Medium Attack]
type = ChangeState
triggerall = command = "b"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 400 && (var(2) = 1)
value = 410

[State -1, Ariel Strong Attack]
type = ChangeState
triggerall = command = "c"
triggerall = StateType = A
triggerall = Alive
triggerall = var(59) = 0
triggerall = !isHelper
trigger1 = Ctrl
trigger2 = StateNo = 400 && (var(2) = 1)
trigger3 = StateNo = 410 && (var(2) = 1)
value = 420
