;======================================================================
;======================================================================
; Replicant states file for "Warakia_X"
;======================================================================
;======================================================================

;----------------------------------------------------------------------
; Standard Mode Replicants
;----------------------------------------------------------------------

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Tohno Akiha) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11300]
type = S
movetype = A
physics = S
anim = 11300
ctrl = 0
sprpriority = 4

[State 11300, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11300
time = -1
ignorehitpause = 1

[State 11300, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11300, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11300, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11300, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11300, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11300, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11300, VelSet]
type = VelSet
trigger1 = AnimElemTime(4) >= 0
x = 1.5

[State 11300, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11300, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11300, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11300, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11300, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11303
ctrl = 0

[State 11300, ChangeState]
type = ChangeState
trigger1 = Time > 80
value = 11301
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Tohno Akiha) <Attack - Hold short>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11301]
type = S
movetype = A
physics = S
anim = 11301
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11301, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11301
time = -1
ignorehitpause = 1

[State 11301, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11301, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11301, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11301, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(5) = 0
value = s0,1
channel = 1
ignorehitpause = 1

[State 11301, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-50
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31004
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11301, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11301, Hitdef]
type = Hitdef
trigger1 = AnimElem = 4
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 100,20
getpower = 100,20
givepower = 30,10
pausetime = 10,11
guard.pausetime = 7,5
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 15
ground.slidetime = 15
guard.hittime = 15
air.hittime = 15
guard.ctrltime = 15
airguard.ctrltime = 15
ground.velocity = -4,-3
guard.velocity = -5
air.velocity = -4,-3
airguard.velocity = -2,-3
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3
p2facing = 1

[State 11301, TargetState]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
trigger1 = Target,StateNo != [120,155]
value = 60000
ignorehitpause = 1

[State 11301, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11301, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11302
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Tohno Akiha) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11302]
type = S
movetype = A
physics = S
anim = 11302
ctrl = 0
sprpriority = 4

[State 11302, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11302
time = -1
ignorehitpause = 1

[State 11302, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11302, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11302, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11302, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11302, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Tohno Akiha) <Attack - Hold Long>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11303]
type = S
movetype = A
physics = N
anim = 11303
ctrl = 0
sprpriority = 4

[State 11303, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11303
time = -1
ignorehitpause = 1

[State 11303, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11303, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11303, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11303, VarSet];Alternate Movehit
type = VarSet
trigger1 = AnimElem = 7
var(0) = 1
ignorehitpause = 1

[State 11303, VelAdd]
type = VelAdd
trigger1 = AnimElemTime(2) = 0
x = 3
y = -6.8

[State 11303, VelSet]
type = VelSet
trigger1 = AnimElemTime(8) = 0
x = -2
y = -2

[State 11303, VelAdd]
type = VelAdd
trigger1 = Time >= 22
y = 0.45

[State 11303, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 7
value = s0,1
channel = 1
ignorehitpause = 1

[State 11303, Explod]
type = Explod
trigger1 = AnimElemTime(7) = 0
anim = 21303
ID = 11303
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1

[State 11303, HitEffect]
type = Helper
trigger1 = MoveHit
trigger1 = var(0) != 1
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31005
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11303, HitEffect]
type = Helper
trigger1 = MoveHit
trigger1 = var(0) = 1
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11303, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11303, Hitdef]
type = Hitdef
trigger1 = AnimElem = 3
attr = A,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 50,20
getpower = 60,20
givepower = 20,10
pausetime = 10,10
guard.pausetime = 10,10
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -2.5,-6
guard.velocity = -4
air.velocity = -2.5,-6
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11303, Hitdef]
type = Hitdef
trigger1 = AnimElem = 8
attr = A,SA
hitflag = MAF
guardflag = HA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 50,20
getpower = 60,20
givepower = 20,10
pausetime = 10,10
guard.pausetime = 10,10
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -2,12
guard.velocity = -4
air.velocity = -1,12
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11303, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11303, ChangeState]
type = ChangeState
trigger1 = AnimElemTime(6) > 0
trigger1 = Pos Y >= 0
trigger1 = Vel Y >= 0
value = 11304
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Tohno Akiha) <Landing>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11304]
type = S
movetype = A
physics = S
anim = 11304
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11304, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11304
time = -1
ignorehitpause = 1

[State 11304, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11304, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11304, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11304, PosSet]
type = PosSet
trigger1 = 1
y = 0

[State 11304, Explod];Make dust effect
type = Explod
trigger1 = Time = 0
anim = 30023
ID = 30023
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1

[State 11304, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = s2,1
channel = 1
ignorehitpause = 1

[State 11304, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11302
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Nanaya Shiki) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11310]
type = S
movetype = A
physics = S
anim = 11310
ctrl = 0
sprpriority = 4

[State 11310, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11310
time = -1
ignorehitpause = 1

[State 11310, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11310, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11310, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11310, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11310, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11310, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11310, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11310, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11310, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11310, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11313
ctrl = 0

[State 11310, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 11311
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Nanaya Shiki) <Attack>
;
;var(0)		- GuardCount
;var(1)		- Alternate MoveHit
;var(2)		- Alternate HitCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11311]
type = S
movetype = A
physics = S
anim = 11311
ctrl = 0
sprpriority = 4

[State 11311, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11311
time = -1
ignorehitpause = 1

[State 11311, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11311, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11311, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11311, VarRangeSet];GuardCount/HitCountHitEffect initializer
type = VarRangeSet
trigger1 = Time = 0
value = 0
first = 0
last = 2

[State 11311, VarAdd];Alternate GuardCount
type = VarAdd
trigger1 = MoveGuarded
var(0) = 1
ignorehitpause = 1

[State 11311, VarAdd];Alternate HitCount
type = VarAdd
trigger1 = MoveHit
var(2) = 1
ignorehitpause = 1

[State 11311, VarSet];HitEffect selector
type = VarSet
trigger1 = AnimElemTime(14) = 0
var(1) = 1

[State 11311, VarSet];HitCount initializer
type = VarSet
trigger1 = AnimElemTime(14) = 0
var(0) = 0

[State 11311, VarSet];HitCount initializer
type = VarSet
trigger1 = AnimElemTime(14) = 0
var(2) = 0

[State 11311, VelSet]
type = VelSet
trigger1 = AnimElemTime(9) >= 0
trigger1 = AnimElemTime(13) < 0
x = 5
ignorehitpause = 1

[State 11311, VelSet]
type = VelSet
trigger1 = AnimElemTime(13) >= 0
trigger1 = AnimElemTime(14) < 0
x = 3
ignorehitpause = 1

[State 11311, VelSet]
type = VelSet
trigger1 = AnimElemTime(14) = 0
x = 1
ignorehitpause = 1

[State 11311, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(9) = 0
trigger2 = AnimElemTime(19) = 0
value = s0,1
channel = 1
ignorehitpause = 1

[State 11311, Explod]
type = Explod
trigger1 = AnimElemTime(19) = 0
anim = 21311
ID = 11311
pos = 0,0
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 1
ontop = 1

[State 11311, HitEffect]
type = Helper
trigger1 = var(1) = 0
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-10
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31004
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11311, HitEffect]
type = Helper
trigger1 = var(1) = 1
trigger1 = MoveHit
name = "HitSpark_Parent"
pos = 0,-70
postype = p2
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11311, GuardEffect]
type = Helper
trigger1 = var(1) = 0
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-10
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11311, GuardEffect]
type = Helper
trigger1 = var(1) = 1
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11311, Hitdef]
type = Hitdef
triggerall = var(0) < 1
triggerall = var(2) < 1
trigger1 = AnimElemTime(10) >= 0
trigger1 = AnimElemTime(15) <= 0
attr = C,SA
hitflag = MAF
guardflag = LA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 50,7
getpower = 75,20
givepower = 20,10
pausetime = 7,9
guard.pausetime = 7,9
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 15
ground.slidetime = 15
guard.hittime = 15
air.hittime = 15
guard.ctrltime = 15
airguard.ctrltime = 15
ground.velocity = -4,0
guard.velocity = -4
air.velocity = -0.5,-3
airguard.velocity = -2,-3
fall.recover = 1
fall.recovertime = 0
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11311, Hitdef]
type = Hitdef
triggerall = var(0) < 1
triggerall = var(2) < 1
trigger1 = AnimElemTime(19) = 0
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = up
air.animtype = up
fall.animtype = up
ground.type = high
air.type = high
damage = 50,7
getpower = 75,20
givepower = 20,10
pausetime = 7,9
guard.pausetime = 7,9
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 15
ground.slidetime = 15
guard.hittime = 15
air.hittime = 15
guard.ctrltime = 15
airguard.ctrltime = 15
ground.velocity = 0,-10
guard.velocity = -4
air.velocity = 0,-10
airguard.velocity = -2,-3
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11311, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11311, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11312
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Nanaya Shiki) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11312]
type = S
movetype = A
physics = S
anim = 11312
ctrl = 0
sprpriority = 4

[State 11312, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11312
time = -1
ignorehitpause = 1

[State 11312, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11312, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11312, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11312, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11312, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Nanaya Shiki) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11313]
type = S
movetype = A
physics = N
anim = 11313
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11313, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11313
time = -1
ignorehitpause = 1

[State 11313, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11313, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11313, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11313, VelSet]
type = VelSet
trigger1 = AnimElem = 7
x = 25

[State 11313, VelSet]
type = VelSet
trigger1 = AnimElem = 9
x = 24

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 10
x = 9

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 11
x = 7

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 12
x = 2.5

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 15
x = 2.0

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 16
x = 1.5

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 17
x = 1.0

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 19
x = 0.5

[State 11313, VelSet]
type = Velset
trigger1 = AnimElem = 20
x = 0

[State 11313, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(7) = 0
value = s2,2
channel = 1
ignorehitpause = 1

[State 11313, Explod]
type = Explod
trigger1 = AnimElemTime(9) = 0
anim = 21313
ID = 11313
pos = 20,-30
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ignorehitpause = 1
ontop = 1

[State 11313, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11313, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11313, Hitdef]
type = Hitdef
trigger1 = AnimElem = 10
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 90,20
getpower = 90,30
givepower = 30,10
pausetime = 3,6
guard.pausetime = 3,6
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -2,-5
guard.velocity = -5
air.velocity = -2,-5
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -7

[State 11313, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11313, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11312
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(Nrvnqsr Chaos) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11320]
type = S
movetype = A
physics = S
anim = 11320
ctrl = 0
sprpriority = 4

[State 11320, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11320
time = -1
ignorehitpause = 1

[State 11320, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11320, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11320, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11320, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11320, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11320, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11320, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11320, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11320, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11320, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11323
ctrl = 0

[State 11320, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 11321
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(Nrvnqsr Chaos) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11321]
type = S
movetype = A
physics = S
anim = 11321
ctrl = 0
sprpriority = 4

[State 11321, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11321
time = -1
ignorehitpause = 1

[State 11321, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11321, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11321, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11321, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(12) = 0
value = s0,1
channel = 1
ignorehitpause = 1

[State 11321, Explod]
type = Explod
trigger1 = AnimElemTime(12) = 0
anim = 21321
ID = 11321
pos = 0,0
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 1
ontop = 1

[State 11321, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11321, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11321, Hitdef]
type = Hitdef
trigger1 = AnimElem = 12
attr = S,SA
hitflag = MAF
guardflag = M
animtype = back
air.animtype = back
fall.animtype = back
ground.type = high
air.type = high
damage = 80,15
getpower = 100,20
givepower = 30,10
pausetime = 6,8
guard.pausetime = 6,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 15
ground.slidetime = 15
guard.hittime = 15
air.hittime = 15
guard.ctrltime = 15
airguard.ctrltime = 15
ground.velocity = -4,-3
guard.velocity = -5
air.velocity = -4,-3
airguard.velocity = -3,-3
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 11321, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11321, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11322
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(Nrvnqsr Chaos) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11322]
type = S
movetype = A
physics = S
anim = 11322
ctrl = 0
sprpriority = 4

[State 11322, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11322
time = -1
ignorehitpause = 1

[State 11322, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11322, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11322, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11322, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11322, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(Nrvnqsr Chaos) <Attack - Hold Long>
;
;var(0)		- Alternate MoveHit
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11323]
type = S
movetype = A
physics = S
anim = 11323
ctrl = 0
sprpriority = 4

[State 11323, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11323
time = -1
ignorehitpause = 1

[State 11323, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11323, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11323, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11323, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(10) = 0
value = s2,2
channel = 1
ignorehitpause = 1

[State 11323, Explod]
type = Explod
trigger1 = AnimElemTime(2) = 0
anim = 11324
ID = 11323
pos = 0,-30
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 0
ontop = 0

[State 11323, Explod]
type = Explod
trigger1 = AnimElemTime(9) = 0
anim = 21324
ID = 11324
pos = 0,0
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 0

[State 11323, VarSet]
type = VarSet
trigger1 = AnimElemTime(8) >= 0
var(0) = 1

[State 11323, HitEffect]
type = Helper
trigger1 = MoveHit
trigger1 = var(0) != 1
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31004
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11323, HitEffect]
type = Helper
trigger1 = MoveHit
trigger1 = var(0) = 1
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11323, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11323, Hitdef]
type = Hitdef
trigger1 = AnimElem = 7
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = up
air.animtype = up
fall.animtype = up
ground.type = high
air.type = high
damage = 60,12
getpower = 80,30
givepower = 30,10
pausetime = 8,8
guard.pausetime = 8,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = 0,-4
guard.velocity = -5
air.velocity = 0,-6
airguard.velocity = -1,-8
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 1
fall.recovertime = 30
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 1
envshake.time = 10
envshake.ampl = -5

[State 11323, Hitdef]
type = Hitdef
trigger1 = AnimElem = 10
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = up
air.animtype = up
fall.animtype = up
ground.type = high
air.type = high
damage = 60,12
getpower = 80,30
givepower = 30,10
pausetime = 0,2
guard.pausetime = 0,2
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0,-7
airguard.velocity = -1,-8
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 1
fall.recovertime = 30
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 1
envshake.time = 10
envshake.ampl = -5

[State 11323, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11323, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11322
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11500]
type = S
movetype = A
physics = S
anim = 11500
ctrl = 0
sprpriority = 4

[State 11500, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11500
time = -1
ignorehitpause = 1

[State 11500, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11500, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11500, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11500, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11500, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11500, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11500, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11500, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11500, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11500, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11501
ctrl = 0

[State 11500, ChangeState];Hold Short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 11503
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Attack - Hold short>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11501]
type = S
movetype = A
physics = S
anim = 11501
ctrl = 0
sprpriority = 4

[State 11501, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11501
time = -1
ignorehitpause = 1

[State 11501, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11501, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11501, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11501, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(7) = 10
value = s2,5
channel = 1
ignorehitpause = 1

[State 11501, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(12) = 1
value = s0,2
channel = 2
ignorehitpause = 1
persistent = 0

[State 11501, Explod]
type = Explod
trigger1 = AnimElemTime(7) = 10
anim = 30024
ID = 11501
pos = -33,-42
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ignorehitpause = 1
ontop = 1

[State 11501, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11501, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11501, VelSet]
type = VelSet
trigger1 = AnimElem = 8
x = 7

[State 11501, Hitdef]
type = Hitdef
trigger1 = AnimElem = 12
attr = S,SA
hitflag = MAF
guardflag = M
animtype = back
air.animtype = back
fall.animtype = back
ground.type = high
air.type = high
damage = 80,15
getpower = 100,20
givepower = 30,10
pausetime = 6,8
guard.pausetime = 6,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 15
ground.slidetime = 15
guard.hittime = 15
air.hittime = 15
guard.ctrltime = 15
airguard.ctrltime = 15
ground.velocity = -4,-3
guard.velocity = -5
air.velocity = -4,-3
airguard.velocity = -3,-3
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5
p2facing = 1

[State 11501, TargetState]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
trigger1 = Target,StateNo != [120,155]
value = 60000
ignorehitpause = 1
persistent = 0

[State 11501, TargetState]
type = TargetState
trigger1 = MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
value = 60030
ignorehitpause = 1
persistent = 0

[State 11501, PlaySnd]
type = PlaySnd
trigger1 = MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
value = s2,9
channel = 1
ignorehitpause = 1

[State 11501, Explod]
type = Explod
trigger1 = MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
anim = 30031
ID = 30031
pos = 0,-60
postype = P2
bindtime = 1
removetime = -2
ownpal = 1
ontop = 1
ignorehitpause = 1

[State 11501, EnvShake]
type = EnvShake
trigger1 = MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
time = 10
ampl = -3
ignorehitpause = 1

[State 11501, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11501, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11502
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11502]
type = S
movetype = A
physics = S
anim = 11502
ctrl = 0
sprpriority = 4

[State 11502, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11502
time = -1
ignorehitpause = 1

[State 11502, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11502, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11502, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11502, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11502, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Attack - Hold Long(Jump)>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11503]
type = S
movetype = A
physics = N
anim = 11503
ctrl = 0
sprpriority = 4

[State 11503, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11503
time = -1
ignorehitpause = 1

[State 11503, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11503, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11503, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11503, VelSet]
type = VelSet
trigger1 = AnimElem = 7
y = -7

[State 11503, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11504

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Attack - Hold Long(Attack)>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11504]
type = A
movetype = A
physics = N
anim = 11504
ctrl = 0
sprpriority = 4
velset = -0.25,-0.25

[State 11504, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11504
time = -1
ignorehitpause = 1

[State 11504, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11504, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11504, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11504, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
trigger2 = AnimElem = 11
trigger3 = AnimElem = 21
value = s0,1
channel = 1

[State 11504, Helper]
type = Helper
trigger1 = AnimElem = 4
trigger2 = AnimElem = 11
name = "Black_Key"
postype = p1
pos = 0,-50
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 21505
ID = 21505
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11504, Helper]
type = Helper
trigger1 = AnimElem = 21
name = "Black_Key"
postype = p1
pos = 20,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 21505
ID = 21505
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11504, Helper]
type = Helper
trigger1 = AnimElem = 21
name = "Black_Key"
postype = p1
pos = 10,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 21505
ID = 21505
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11504, Helper]
type = Helper
trigger1 = AnimElem = 21
name = "Black_Key"
postype = p1
pos = -10,-40
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 21505
ID = 21505
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11504, Helper]
type = Helper
trigger1 = AnimElem = 21
name = "Black_Key"
postype = p1
pos = -20,-30
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 21505
ID = 21505
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11504, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11505

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ciel) <Attack - Hold Long(Fall)>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11505]
type = A
movetype = A
physics = N
anim = 11505
ctrl = 0
sprpriority = 4

[State 11505, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11505
time = -1
ignorehitpause = 1

[State 11505, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11505, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11505, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11505, VelAdd]
type = VelAdd
trigger1 = 1
y = 0.5

[State 11505, ChangeState]
type = ChangeState
trigger1 = Pos Y >= 0
trigger1 = Vel Y >= 0
value = 11506
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Ceil) <Landing>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11506]
type = S
movetype = A
physics = S
anim = 11506
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11506, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11506
time = -1
ignorehitpause = 1

[State 11506, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11506, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11506, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11506, PosSet]
type = PosSet
trigger1 = 1
y = 0

[State 11506, Explod];Make dust effect
type = Explod
trigger1 = Time = 0
anim = 30023
ID = 30023
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1

[State 11506, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = s2,1
channel = 1
ignorehitpause = 1

[State 11506, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11502
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11510]
type = S
movetype = A
physics = S
anim = 11510
ctrl = 0
sprpriority = 4

[State 11510, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11510
time = -1
ignorehitpause = 1

[State 11510, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11510, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11510, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11510, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11510, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11510, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11510, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11510, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11510, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11510, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11514
ctrl = 0

[State 11510, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 11511
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Attack - Hold short>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11511]
type = S
movetype = A
physics = N
anim = 11511
ctrl = 0
sprpriority = 4

[State 11511, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11511
time = -1
ignorehitpause = 1

[State 11511, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11511, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11511, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11511, VarAdd];Alternate GuardCount
type = VarAdd
trigger1 = MoveGuarded
var(0) = 1
ignorehitpause = 1

[State 11511, VelSet]
type = VelSet
trigger1 = AnimElem = 5
x = 1.5
y = -7

[State 11511, VelAdd]
type = VelAdd
trigger1 = AnimElemTime(6) > 0
y = 0.5

[State 11511, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 5
value = s0,1
channel = 1
ignorehitpause = 1

[State 11511, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31005
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11511, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11511, Hitdef]
type = Hitdef
triggerall = HitCount < 3
triggerall = var(0) < 3
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
trigger3 = AnimElem = 6
trigger4 = AnimElem = 7
trigger5 = AnimElem = 8
trigger6 = AnimElem = 9
trigger7 = AnimElem = 10
attr = S,NA
hitflag = MAF
guardflag = MA
animtype = back
air.animtype = back
fall.animtype = back
ground.type = high
air.type = high
damage = 30,5
getpower = 30,10
givepower = 10,5
pausetime = 8,8
guard.pausetime = 8,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -2,-6
guard.velocity = -4
air.velocity = -1,-7
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 1
fall.recovertime = 30
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11511, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11511, ChangeState]
type = ChangeState
trigger1 = AnimElemTime(6) > 0
trigger1 = Pos Y >= 0
trigger1 = Vel Y >= 0
value = 11512
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Landing>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11512]
type = S
movetype = A
physics = S
anim = 11512
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11512, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11512
time = -1
ignorehitpause = 1

[State 11512, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11512, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11512, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11512, PosSet]
type = PosSet
trigger1 = 1
y = 0

[State 11512, Explod];Make dust effect
type = Explod
trigger1 = Time = 0
anim = 30023
ID = 30023
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1

[State 11512, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = s2,1
channel = 1
ignorehitpause = 1

[State 11512, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11513
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11513]
type = S
movetype = A
physics = S
anim = 11513
ctrl = 0
sprpriority = 4

[State 11513, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11513
time = -1
ignorehitpause = 1

[State 11513, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11513, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11513, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11513, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11513, OffSet]
type = OffSet
trigger1 = PrevStateNo = 11514
x = -3
y = 0

[State 11513, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11514]
type = S
movetype = A
physics = S
anim = 11514
ctrl = 0
sprpriority = 4

[State 11514, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11514
time = -1
ignorehitpause = 1

[State 11514, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11514, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11514, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11514, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(11) = 0
value = s3,14
channel = 1
ignorehitpause = 1

[State 11514, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-40
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31005
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11514, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-40
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11514, Hitdef]
type = Hitdef
trigger1 = AnimElem = 12
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 50,10
getpower = 50,10
givepower = 20,10
pausetime = 10,10
guard.pausetime = 5,10
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = 0,0
guard.velocity = -5
air.velocity = 0,0
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
p2facing = 1
envshake.time = 10
envshake.ampl = -3

[State 11514, TargetState]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
trigger1 = Target,StateNo != [120,155]
value = 60040
ignorehitpause = 1
persistent = 0

[State 11514, ChangeState]
type = ChangeState
trigger1 = MoveHit
value = 11515
ctrl = 0
ignorehitpause = 1
persistent = 0

[State 11514, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11514, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11513
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sion) <Attack - Target Binding>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11515]
type = S
movetype = A
physics = S
anim = 11515
ctrl = 0
sprpriority = 4

[State 11515, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11515
time = -1
ignorehitpause = 1

[State 11515, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11515, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11515, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11515, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11515, HitEffect]
type = Helper
trigger1 = AnimElemTime(7) = 0
name = "HitSpark"
postype = p2
pos = 0,-20
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31005
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11515, EnvShake]
type = EnvShake
trigger1 = AnimElemTime(7) = 0
time = 10
ampl = -3

[State 11515, HitAdd]
type = HitAdd
trigger1 = AnimElemTime(7) = 0
value = 1

[State 11515, TargetBind]
type = TargetBind
trigger1 = AnimElemTime(7) < 0
pos = 120,0
time = 1

[State 11515, TargetVelSet]
type = TargetVelSet
trigger1 = Time = 0
x = 0
y = 0

[State 11515, TargetState]
type = TargetState
trigger1 = AnimElemTime(7) = 0
trigger1 = root,var(10) = 0
value = 60041
ignorehitpause = 1
persistent = 0

[State 11515, TargetState]
type = TargetState
trigger1 = AnimElemTime(7) = 0
trigger1 = root,var(10) = 1
value = 60042
ignorehitpause = 1
persistent = 0

[State 11515, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = AnimElemTime(7) = 0
value = ceil(-50*root,fvar(0))

[State 11515, TargetVelSet]
type = TargetVelSet
trigger1 = AnimElemTime(7) > 1
trigger1 = AnimElemTime(13) < 1
trigger1 = root,var(10) = 0
x = 5

[State 11515, ParentVarSet]
type = ParentVarSet
trigger1 = AnimTime = 0
var(10) = 1

[State 11515, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11513
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(White Len) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11520]
type = S
movetype = A
physics = S
anim = 11520
ctrl = 0
sprpriority = 4

[State 11520, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11520
time = -1
ignorehitpause = 1

[State 11520, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11520, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 11520, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 11520, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 11520, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11520, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 11520, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 11520, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 1
var(10) = 1

[State 11520, VarSet];Button hold detector - Common - AC
type = VarSet
triggerall = Time = [0,3]
trigger1 = root,var(59) = 1
trigger1 = root,var(57) = 2
var(10) = 0

[State 11520, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 11523
ctrl = 0

[State 11520, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 11521
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(White Len) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11521]
type = S
movetype = A
physics = S
anim = 11521
ctrl = 0
sprpriority = 4

[State 11521, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11521
time = -1
ignorehitpause = 1

[State 11521, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11521, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11521, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11521, VelSet]
type = VelSet
trigger1 = AnimElemTime(3) > 0
trigger1 = AnimElemTime(16) < 0
x = 4
ignorehitpause = 1

[State 11521, VelSet]
type = VelSet
trigger1 = AnimElemTime(17) = 0
x = 0
ignorehitpause = 1

[State 11521, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(3) = 0
trigger2 = AnimElemTime(17) = 0
value = s0,1
channel = 1
ignorehitpause = 1

[State 11521, Explod]
type = Explod
trigger1 = AnimElemTime(12) = 0
anim = 21521
ID = 11521
pos = 0,-30
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 1
sprpriority = 5

[State 11521, RemoveExplod]
type = RemoveExplod
trigger1 = AnimElemTime(17) = 0
ID = 11521

[State 11521, Explod]
type = Explod
trigger1 = AnimElemTime(17) = 0
anim = 21522
ID = 11522
pos = 0,-30
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 1
sprpriority = 5

[State 11521, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-50
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31005
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11521, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-50
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11521, Hitdef]
type = Hitdef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
trigger3 = AnimElem = 6
trigger4 = AnimElem = 7
trigger5 = AnimElem = 8
trigger6 = AnimElem = 9
trigger7 = AnimElem = 10
trigger8 = AnimElem = 11
trigger9 = AnimElem = 12
trigger10 = AnimElem = 13
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 12,5
getpower = 30,8
givepower = 20,6
pausetime = 4,4
guard.pausetime = 4,4
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -4,0
guard.velocity = -5
air.velocity = -2,-3
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 1
fall.recovertime = 20
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3

[State 11521, Hitdef]
type = Hitdef
trigger1 = AnimElem = 17
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 30,5
getpower = 30,8
givepower = 20,6
pausetime = 8,13
guard.pausetime = 2,2
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 20
ground.slidetime = 20
guard.hittime = 20
air.hittime = 20
guard.ctrltime = 20
airguard.ctrltime = 20
ground.velocity = -4,0
guard.velocity = -5
air.velocity = -2,-3
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3
p2facing = 1
ID = 11521

[State 11521, TargetState]
type = TargetState
trigger1 = !MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
trigger1 = Target,StateNo != [120,155]
trigger1 = AnimElemTime(17) > 1
trigger1 = AnimElemTime(20) < 1
ID = 11521
value = 60000
ignorehitpause = 1
persistent = 0

[State 11521, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 11521, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11522
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(White Len) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11522]
type = S
movetype = A
physics = S
anim = 11522
ctrl = 0
sprpriority = 4
velset = 0,0

[State 11522, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11522
time = -1
ignorehitpause = 1

[State 11522, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11522, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11522, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11522, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11522, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Strong(White Len) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11523]
type = S
movetype = A
physics = S
anim = 11523
ctrl = 0
sprpriority = 0

[State 11523, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11523
time = -1
ignorehitpause = 1

[State 11523, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11523, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 11523, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11523, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(5) = 0
name = "Freeze"
postype = p1
pos = 15,-40
ownpal = 1
pausemovetime = 0
supermovetime = 0
stateno = 21523
ID = 21523
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 11523, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11522
ctrl = 0

;----------------------------------------------------------------------
; Replicants for Gnaden Sturz
;----------------------------------------------------------------------

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11910]
type = S
movetype = A
physics = S
anim = ifelse(isHelper(11910) = 1,11930,11920)
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11910, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11910
time = -1
ignorehitpause = 1

[State 11910, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11910, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5
supermovetime = 9999

[State 11910, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4
supermovetime = 9999

[State 11910, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))
supermovetime = 9999

[State 11910, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(1) = 0
trigger1 = isHelper(11910)
value = s108,(random%2+2)
channel = 1

[State 11912, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(5) = 0
trigger1 = isHelper(11910)
value = s108,1
channel = 1
persistent = 0

[State 11910, ChangeState]
type = ChangeState
trigger1 = root,var(0) = 1
trigger1 = root,StateNo = [11910,11911]
trigger2 = Time > 120
trigger2 = root,StateNo != [11910,11911]
value = 11911

[State 11910, ChangeState]
type = ChangeState
trigger1 = root,var(0) = 2
value = 11912

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11911]
type = S
movetype = A
physics = S
anim = ifelse(isHelper(11910) = 1,11931,11921)
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11911, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11911
time = -1
ignorehitpause = 1

[State 11911, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11911, VarAdd];Transition
type = VarAdd
triggerall = fvar(0) >= 0
trigger1 = (isHelper(11910)) && (AnimElemTime(3) > 0)
trigger2 = (isHelper(11920)) && (AnimElemTime(4) > 0)
fvar(0) = -7.5

[State 11911, VarAdd];Transition
type = VarAdd
triggerall = fvar(1) <= 256
trigger1 = (isHelper(11910)) && (AnimElemTime(3) > 0)
trigger2 = (isHelper(11920)) && (AnimElemTime(4) > 0)
fvar(1) = 19.2

[State 11911, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11911, DestroySelf]
type = DestroySelf
trigger1 = (isHelper(11910)) && (AnimElemTime(3) > 10)
trigger2 = (isHelper(11920)) && (AnimElemTime(4) > 10)

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Success>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11912]
type = S
movetype = A
physics = S
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11912, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11912
time = -1
ignorehitpause = 1

[State 11912, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11912, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))
supermovetime = 9999

[State 11912, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
trigger1 = isHelper(11910)
value = s108,1
channel = 1

[State 11912, ChangeState]
type = ChangeState
trigger1 = root,var(0) = 3
value = 11913

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Charging>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11913]
type = S
movetype = A
physics = S
anim = ifelse(isHelper(11910) = 1,11933,11923)
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11913, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11913
time = -1
ignorehitpause = 1

[State 11913, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11913, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))
supermovetime = 9999

[State 11913, ChangeState]
type = ChangeState
trigger1 = root,var(0) = 4
value = 11914

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Finishing>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11914]
type = S
movetype = A
physics = S
anim = ifelse(isHelper(11910) = 1,11934,11924)
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11914, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11914
time = -1
ignorehitpause = 1

[State 11914, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11914, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))
supermovetime = 9999

[State 11914, ChangeState]
type = ChangeState
trigger1 = root,var(0) = 5
value = 11915

;----------------------------------------------------------------------
; Gnaden Sturz(Red Arcueid/UNKNOWN) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 11915]
type = S
movetype = A
physics = S
anim = ifelse(isHelper(11910) = 1,11935,11925)
ctrl = 0
sprpriority = ifelse(isHelper(11910) = 1,1,2)

[State 11915, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 11915
time = -1
ignorehitpause = 1

[State 11915, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 11915, VarAdd];Transition
type = VarAdd
trigger1 = AnimElemTime(4) > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 11915, VarAdd];Transition
type = VarAdd
trigger1 = AnimElemTime(4) > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 11915, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 11915, DestroySelf]
type = DestroySelf
trigger1 = AnimElemTime(4) > 10

;----------------------------------------------------------------------
; Replicant Only Mode Replicants
;----------------------------------------------------------------------

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Nanase Rumi and Doppel Nanase) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17000]
type = S
movetype = A
physics = S
anim = 17000
ctrl = 0
sprpriority = 4

[State 17000, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17000
time = -1
ignorehitpause = 1

[State 17000, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17000, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17000, VarSet]
type = VarSet
trigger1 = 1
fvar(5) = root,fvar(0)
ignorehitpause = 1

[State -2, DisplayToClipBoard]
type = DisplayToClipBoard
trigger1 = 1
text = "FV5 = %f"
params = fvar(5)
ignorehitpause = 1

[State 17000, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17000, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17000, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17000, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17000, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17000, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17000)
trigger1 = root,command = "hold_a"
var(10) = 1

[State 17000, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17000)
trigger1 = root,command != "hold_a"
var(10) = 0

[State 17000, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17003
ctrl = 0

[State 17000, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17001
ctrl = 0

[State 17000, Explod];Bamboo Sword
type = Explod
trigger1 = Time = 0
anim = 27000
ID = 27000
pos = 0,0
postype = p1
removetime = -1
bindtime = 1
ontop = 1
ignorehitpause = 1

[State 17002, Explod];Bamboo Sword
type = ModifyExplod
trigger1 = NumExplod(27000) > 0
ID = 27000
trans = addalpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))
ignorehitpause = 1

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Nanase Rumi and Doppel Nanase) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17001]
type = S
movetype = A
physics = N
anim = 17001
ctrl = 0
sprpriority = 4

[State 17001, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17001
time = -1
ignorehitpause = 1

[State 17001, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17001, PlayerPush]
type = Null;PlayerPush
trigger1 = 1
value = 1

[State 17001, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17001, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = s22,6
channel = 1
persistent = 0

[State 17001, VarAdd];Transition
type = VarAdd
trigger1 = AnimElemTime(2) >= 0
trigger1 = AnimElemTime(4) < 0
fvar(0) = -15

[State 17001, VarAdd];Transition
type = VarAdd
trigger1 = AnimElemTime(2) >= 0
trigger1 = AnimElemTime(4) < 0
fvar(1) = -39

[State 17001, VarAdd]
type = VarAdd
trigger1 = AnimElemTime(4) = [0,10]
fvar(0) = 7.5

[State 17001, VarAdd]
type = VarAdd
trigger1 = AnimElemTime(4) = [0,10]
fvar(1) = 23.4

[State 17001, VelSet]
type = VelSet
trigger1 = AnimElemTime(1) >= 0
trigger1 = AnimElemTime(4) < 0
x = 13.5

[State 17001, VelSet]
type = VelSet
trigger1 = AnimElemTime(4) = 0
x = 9

[State 17001, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElemTime(4) = 0
physics = S

[State 17001, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(2) = 0
trigger2 = AnimElemTime(2) = 3
trigger3 = AnimElemTime(3) = 3
name = "Blaze"
postype = p1
pos = -30,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27001
ID = 27001
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17001, Explod]
type = Explod
trigger1 = AnimElemTime(2) = 0
anim = 30032
ID = 30032
pos = -20,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ontop = 1
ignorehitpause = 1

[State 17001, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17002
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Nanase Rumi and Doppel Nanase) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17002]
type = S
movetype = A
physics = S
anim = ifelse(PrevStateNo = 17001,17002,17004)
ctrl = 0
sprpriority = 4

[State 17002, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17002
time = -1
ignorehitpause = 1

[State 17002, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17002, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17002, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17002, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17002, Explod];Bamboo Sword
type = ModifyExplod
trigger1 = NumExplod(27000) > 0
ID = 27000
trans = addalpha
alpha = ceil(fvar(0)),ceil(fvar(1))
ignorehitpause = 1

[State 17002, RemoveExplod]
type = RemoveExplod
trigger1 = Time = 10
ID = 27000

[State 17002, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Nanase Rumi and Doppel Nanase) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17003]
type = S
movetype = A
physics = N
anim = 17003
ctrl = 0
sprpriority = 4

[State 17003, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17003
time = -1
ignorehitpause = 1

[State 17003, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17003, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17003, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17003, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17003, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = s21,7
channel = 1

[State 17003, RemoveExplod]
type = RemoveExplod
trigger1 = Time = 0
ID = 27000

[State 17003, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 8
value = s20,1
channel = 1
persistent = 0

[State 17003, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31012
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17003, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31016
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17003, Hitdef]
type = Hitdef
trigger1 = AnimElem = 9
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = light
fall.animtype = light
ground.type = high
air.type = high
damage = 150,20
getpower = 200,100
givepower = 100,50
pausetime = 15,15
guard.pausetime = 15,30
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 30
ground.slidetime = 30
guard.hittime = 30
air.hittime = 30
guard.ctrltime = 30
airguard.ctrltime = 30
ground.velocity = -10,0
guard.velocity = -6
air.velocity = -2,-3
airguard.velocity = -2,-3
fall.recover = 0
forcestand = 0
fall = 0
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 17003, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 17003, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17002
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17010]
type = S
movetype = A
physics = S
anim = 17010
ctrl = 0
sprpriority = 4

[State 17010, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17010
time = -1
ignorehitpause = 1

[State 17010, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17010, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17010, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17010, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17010, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17010, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17010, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17010, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17010)
trigger1 = root,command = "hold_b"
var(10) = 1

[State 17010, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17010)
trigger1 = root,command != "hold_b"
var(10) = 0

[State 17010, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17013
ctrl = 0

[State 17010, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17011
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17011]
type = S
movetype = A
physics = S
anim = 17011
ctrl = 0
sprpriority = 4

[State 17011, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17011
time = -1
ignorehitpause = 1

[State 17011, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17011, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17011, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17011, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17011, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(3) = 0
trigger2 = AnimElemTime(10) = 0
value = s22,6
channel = 1

[State 17011, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(3) = 0
trigger2 = AnimElemTime(10) = 0
name = "Wind"
postype = p1
pos = 20,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27011
ID = 27011
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17011, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17012
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17012]
type = S
movetype = A
physics = S
anim = 17012
ctrl = 0
sprpriority = 4

[State 17012, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17012
time = -1
ignorehitpause = 1

[State 17012, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17012, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17012, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17012, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17012, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17013]
type = S
movetype = A
physics = S
anim = 17013
ctrl = 0
sprpriority = 2

[State 17013, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17013
time = -1
ignorehitpause = 1

[State 17013, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17013, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17013, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17013, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17013, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(4) = 0
value = s22,6
channel = 1

[State 17013, Helper];Create Transparent Wall
type = Helper
trigger1 = AnimElemTime(4) = 0
name = "Wall"
postype = p1
pos = ceil(P2Dist X) + 60,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27013
ID = 27013
size.xscale = 1
size.yscale = 1
ignorehitpause = 1
persistent = 0

[State 17013, Helper];Create Transparent Wall
type = Helper
trigger1 = Time % 10 = 0
trigger1 = AnimElemTime(4) > 0
trigger1 = AnimElemTime(23) < 0
name = "Wall"
postype = Front
pos = 0,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27013
ID = 27013
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17013, Helper];Create Transparent Wall
type = Helper
trigger1 = Time % 10 = 0
trigger1 = AnimElemTime(4) > 0
trigger1 = AnimElemTime(23) < 0
name = "Wall"
postype = Back
pos = 0,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27014
ID = 27014
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17013, Explod]
type = Explod
trigger1 = Time % 10 = 0
trigger1 = AnimElemTime(4) > 0
trigger1 = AnimElemTime(20) < 0
anim = 27013
pos = 0,0
postype = p1
bindtime = -1
removetime = -2
sprpriority = 5
ontop = 1
supermovetime = 9999
pausemovetime = 9999
ignorehitpause = 1

[State 17013, Hitdef]
type = Hitdef
trigger1 = AnimElem = 4
attr = S,ST
hitflag = M
guardflag = 
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 0,0
getpower = 100,0
givepower = 50,0
pausetime = 0,0
guard.pausetime = 0,0
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = S-1,0
guardsound = S-1,0
ground.hittime = 0
ground.slidetime = 0
guard.hittime = 0
air.hittime = 0
guard.ctrltime = 0
airguard.ctrltime = 0
ground.velocity = 0,0
guard.velocity = 0
air.velocity = 0,0
airguard.velocity = 0,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
guard.dist = 0
p1stateno = 17014
p2stateno = 60130
p2facing = 1

[State 17013, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 17013, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17012
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Target Binding>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17014]
type = S
movetype = A
physics = S
anim = 17014
ctrl = 0
sprpriority = 4

[State 17014, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17014
time = -1
ignorehitpause = 1

[State 17014, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17014, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 17014, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17014, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17014, Explod]
type = Explod
trigger1 = Time = 0
anim = 30010
pos = 30,-50
postype = p1
bindtime = -1
removetime = -2
sprpriority = 5
ontop = 1
supermovetime = 9999
pausemovetime = 9999
ignorehitpause = 1

[State 17014, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = s21,7
channel = 2

[State 17014, TargetBind]
type = TargetBind
trigger1 = AnimElem = 1
time = -1
pos = 30,-90

[State 17014, TargetBind]
type = TargetBind
trigger1 = AnimElem = 2
time = -1
pos = 35,-90

[State 17014, TargetBind]
type = TargetBind
trigger1 = AnimElem = 3
time = -1
pos = 25,-110

[State 17014, TargetBind]
type = TargetBind
trigger1 = AnimElemTime(4) >= 0
time = -1
pos = 23,-110

[State 17014, ChangeState]
type = ChangeState
trigger1 = Time = 60
value = 17015
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kawana Misaki) <Finish>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17015]
type = S
movetype = A
physics = S
anim = 17015
ctrl = 0
sprpriority = 4

[State 17015, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17015
time = -1
ignorehitpause = 1

[State 17015, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17015, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 17015, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17015, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17015, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = AnimElemTime(4) = 1
value = -80
absolute = 1

[State 17015, TargetState]
type = TargetState
trigger1 = AnimElemTime(4) = 1
value = 60131

[State 17015, TargetBind]
type = TargetBind
trigger1 = Time = 0
time = 1
pos = 23,-110

[State 17015, HitEffect]
type = Helper
trigger1 = AnimElemTime(4) = 0
name = "HitSpark"
postype = p1
pos = 20,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31013
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17015, EnvShake]
type = EnvShake
trigger1 = AnimElemTime(4) = 0
time = 20
ampl = -5
ignorehitpause = 1

[State 17015, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17012
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(UNKNOWN <Mizuka/Misao>) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17040]
type = S
movetype = A
physics = S
anim = 17040
ctrl = 0
sprpriority = 4

[State 17040, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17040
time = -1
ignorehitpause = 1

[State 17040, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17040, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17040, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17040, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17040, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17040, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17040, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17040, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17040)
trigger1 = root,command = "hold_b"
var(10) = 1

[State 17040, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17040)
trigger1 = root,command != "hold_b"
var(10) = 0

[State 17040, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17043
ctrl = 0

[State 17040, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17041
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(UNKNOWN <Mizuka/Misao>) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17041]
type = S
movetype = A
physics = N
anim = 17041
ctrl = 0
sprpriority = 4

[State 17041, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17041
time = -1
ignorehitpause = 1

[State 17041, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17041, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17041, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17041, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17041, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(7) = 0
value = s23,12
channel = 2

[State 17041, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(7) = 0
name = "Collapse_World"
postype = p1
pos = 0,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27041
ID = 27041
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17041, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17042
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(UNKNOWN <Mizuka/Misao>) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17042]
type = S
movetype = A
physics = S
anim = 17042
ctrl = 0
sprpriority = 4

[State 17042, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17042
time = -1
ignorehitpause = 1

[State 17042, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17042, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17042, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17042, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17042, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(UNKNOWN <Mizuka/Misao>) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17043]
type = S
movetype = A
physics = N
anim = 17043
ctrl = 0
sprpriority = 4

[State 17043, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17043
time = -1
ignorehitpause = 1

[State 17043, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17043, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17043, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17043, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17043, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(7) = 0
value = s23,13
channel = 2

[State 17043, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(7) = 0
name = "Beam"
postype = p1
pos = 50,-30
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27043
ID = 27043
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17043, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17042
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Minase Nayuki(Waking)) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17060]
type = S
movetype = A
physics = S
anim = 17060
ctrl = 0
sprpriority = 4

[State 17060, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17060
time = -1
ignorehitpause = 1

[State 17060, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17060, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17060, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17060, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17060, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17060, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17060, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17060, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17060)
trigger1 = root,command = "hold_a"
var(10) = 1

[State 17060, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17060)
trigger1 = root,command != "hold_a"
var(10) = 0

[State 17060, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17063
ctrl = 0

[State 17060, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17061
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Minase Nayuki(Waking)) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17061]
type = S
movetype = A
physics = N
anim = 17061
ctrl = 0
sprpriority = 4

[State 17061, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17061
time = -1
ignorehitpause = 1

[State 17061, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17061, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17061, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17061, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17061, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 4
value = s23,0
channel = 1
persistent = 0

[State 17061, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 7
value = s23,1
channel = 1
persistent = 0

[State 17061, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31012
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17061, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31016
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17060, Hitdef]
type = Hitdef
trigger1 = AnimElem = 4
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 50,10
getpower = 60,20
givepower = 30,10
pausetime = 4,20
guard.pausetime = 4,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 30
ground.slidetime = 30
guard.hittime = 30
air.hittime = 30
guard.ctrltime = 30
airguard.ctrltime = 30
ground.velocity = 0,0
guard.velocity = 0
air.velocity = 0,0
airguard.velocity = 0,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 17060, Hitdef]
type = Hitdef
trigger1 = AnimElem = 7
attr = S,SA
hitflag = MAF
guardflag = HA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 50,10
getpower = 60,20
givepower = 30,10
pausetime = 8,4
guard.pausetime = 8,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 30
ground.slidetime = 30
guard.hittime = 30
air.hittime = 30
guard.ctrltime = 30
airguard.ctrltime = 30
ground.velocity = 3,10
guard.velocity = 3
air.velocity = 3,10
airguard.velocity = 3,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 17061, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 17061, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17062
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Minase Nayuki(Waking)) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17062]
type = S
movetype = A
physics = S
anim = 17062
ctrl = 0
sprpriority = 4

[State 17062, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17062
time = -1
ignorehitpause = 1

[State 17062, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17062, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17062, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17062, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17062, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Minase Nayuki(Waking)) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17063]
type = S
movetype = A
physics = N
anim = 17063
ctrl = 0
sprpriority = 4

[State 17063, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17063
time = -1
ignorehitpause = 1

[State 17063, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17063, PlayerPush]
type = Null;PlayerPush
trigger1 = !MoveContact
value = 1

[State 17063, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17063, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17063, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 4
value = s23,0
channel = 1
persistent = 0

[State 17063, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 7
value = s23,1
channel = 1
persistent = 0

[State 17063, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31012
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17063, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31016
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17063, Hitdef]
type = Hitdef
trigger1 = AnimElem = 4
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 60,10
getpower = 60,20
givepower = 30,10
pausetime = 4,20
guard.pausetime = 4,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 30
ground.slidetime = 30
guard.hittime = 30
air.hittime = 30
guard.ctrltime = 30
airguard.ctrltime = 30
ground.velocity = 0,0
guard.velocity = 0
air.velocity = 0,0
airguard.velocity = 0,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 17063, Hitdef]
type = Hitdef
trigger1 = AnimElem = 7
attr = S,SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = high
air.type = high
damage = 60,10
getpower = 60,20
givepower = 30,10
pausetime = 8,4
guard.pausetime = 8,8
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 30
ground.slidetime = 30
guard.hittime = 30
air.hittime = 30
guard.ctrltime = 30
airguard.ctrltime = 30
ground.velocity = 5,-1
guard.velocity = 5
air.velocity = 5,-1
airguard.velocity = 5,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 1
air.fall = 1
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -5

[State 17063, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 17063, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17062
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sawatari Makoto) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17070]
type = S
movetype = A
physics = S
anim = 17070
ctrl = 0
sprpriority = 4

[State 17070, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17070
time = -1
ignorehitpause = 1

[State 17070, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17070, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17070, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17070, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17070, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17070, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17070, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17070, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17070)
trigger1 = root,command = "hold_b"
var(10) = 1

[State 17070, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17070)
trigger1 = root,command != "hold_b"
var(10) = 0

[State 17070, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17073
ctrl = 0

[State 17070, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17071
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sawatari Makoto) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17071]
type = S
movetype = A
physics = N
anim = 17071
ctrl = 0
sprpriority = 4

[State 17071, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17071
time = -1
ignorehitpause = 1

[State 17071, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17071, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17071, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17071, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17071, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(4) = 0
name = "Fox_Fire"
postype = p1
pos = 60,-80
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27071
ID = 27071
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17071, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17072
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sawatari Makoto) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17072]
type = S
movetype = A
physics = S
anim = 17072
ctrl = 0
sprpriority = 4

[State 17072, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17072
time = -1
ignorehitpause = 1

[State 17072, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17072, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17072, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17072, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17072, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Sawatari Makoto) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17073]
type = S
movetype = A
physics = N
anim = 17073
ctrl = 0
sprpriority = 4

[State 17073, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17073
time = -1
ignorehitpause = 1

[State 17073, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17073, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17073, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17073, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17073, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(5) = 2
value = s23,2
channel = 1

[State 17073, Explod]
type = Explod
trigger1 = AnimElemTime(5) = 2
anim = 27072
pos = -16,-62
postype = P1
bindtime = -1
removetime = -2
ownpal = 1
ignorehitpause = 1
ontop = 1

[State 17073, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(5) = 1
name = "shot"
postype = p1
pos = -5,-45
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27073
ID = 27073
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17073, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17072
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Misaka Shiori) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17090]
type = S
movetype = A
physics = S
anim = 17090
ctrl = 0
sprpriority = 4

[State 17090, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17090
time = -1
ignorehitpause = 1

[State 17090, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17090, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17090, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17090, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17090, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17090, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17090, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17090, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17090)
trigger1 = root,command = "hold_x"
var(10) = 1

[State 17090, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17090)
trigger1 = root,command != "hold_x"
var(10) = 0

[State 17090, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17093
ctrl = 0

[State 17090, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17091
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Misaka Shiori) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17091]
type = S
movetype = A
physics = S
anim = 17091
ctrl = 0
sprpriority = 4

[State 17091, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17091
time = -1
ignorehitpause = 1

[State 17091, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17091, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17091, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17091, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17091, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(3) = 3
trigger2 = AnimElemTime(5) = 1
trigger3 = AnimElemTime(6) = 2
value = s23,10
channel = 1

[State 17091, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(3) = 3
name = "ICE"
postype = p1
pos = 60,-300
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27091
ID = 27091
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17091, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(5) = 1
name = "ICE"
postype = p1
pos = 120,-300
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27091
ID = 27091
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17091, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(6) = 2
name = "ICE"
postype = p1
pos = 180,-300
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27091
ID = 27091
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17091, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17092
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Misaka Shiori) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17092]
type = S
movetype = A
physics = S
anim = 17092
ctrl = 0
sprpriority = 4

[State 17092, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17092
time = -1
ignorehitpause = 1

[State 17092, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17092, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17092, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17092, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17092, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Misaka Shiori) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17093]
type = S
movetype = A
physics = S
anim = 17093
ctrl = 0
sprpriority = 4

[State 17093, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17093
time = -1
ignorehitpause = 1

[State 17093, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17093, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17093, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17093, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17093, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(6) = 0
helpertype = normal
name = "ICE_NEEDLE"
postype = p1
pos = 30,0
ownpal = 1
pausemovetime = 0
supermovetime = 0
stateno = 27093
ID = 27093
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17093, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(10) = 0
name = "ICE_NEEDLE"
postype = p1
pos = 90,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27093
ID = 27093
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17093, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(14) = 0
name = "ICE_NEEDLE"
postype = p1
pos = 150,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27093
ID = 27093
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17093, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(18) = 0
name = "ICE_NEEDLE"
postype = p1
pos = 210,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27093
ID = 27093
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17093, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17092
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kamio Misuzu) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17100]
type = S
movetype = A
physics = S
anim = 17100
ctrl = 0
sprpriority = 4

[State 17100, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17100
time = -1
ignorehitpause = 1

[State 17100, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17100, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17100, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17100, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17100, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17100, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17100, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17100, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17100)
trigger1 = root,command = "hold_b"
var(10) = 1

[State 17100, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17100)
trigger1 = root,command != "hold_b"
var(10) = 0

[State 17100, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17103
ctrl = 0

[State 17100, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17101
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kamio Misuzu) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17101]
type = S
movetype = A
physics = S
anim = 17101
ctrl = 0
sprpriority = 4

[State 17101, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17101
time = -1
ignorehitpause = 1

[State 17101, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17101, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17101, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17101, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17101, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(2) = 0
value = s23,5
channel = 1

[State 17101, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(2) = 0
name = "Net"
postype = p1
pos = 20,-80
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27100
ID = 27101
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17101, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17102
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kamio Misuzu) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17102]
type = S
movetype = A
physics = S
anim = 17102
ctrl = 0
sprpriority = 4

[State 17102, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17102
time = -1
ignorehitpause = 1

[State 17102, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17102, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17102, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17102, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17102, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Medium(Kamio Misuzu) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17103]
type = S
movetype = A
physics = N
anim = 17103
ctrl = 0
sprpriority = 4

[State 17103, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17103
time = -1
ignorehitpause = 1

[State 17103, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17103, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17103, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17103, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17103, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(3) = 0
name = "Diary"
postype = p1
pos = 0,0
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27103
ID = 27103
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17103, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17102
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Kirishima Kano - Type A) <Appear>
;
;var(0)		- GuardCount
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17120]
type = S
movetype = A
physics = S
anim = 17120
ctrl = 0
sprpriority = 4

[State 17120, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17120
time = -1
ignorehitpause = 1

[State 17120, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17120, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17120, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 17120, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 17120, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 17120, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command = "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command = "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command = "hold_c"
var(10) = 1

[State 17120, VarSet];Button hold detector - Common
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(11300) || isHelper(11500)
trigger1 = root,command != "hold_a"
trigger2 = isHelper(11310) || isHelper(11510)
trigger2 = root,command != "hold_b"
trigger3 = isHelper(11320) || isHelper(11520)
trigger3 = root,command != "hold_c"
var(10) = 0

[State 17120, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17120)
trigger1 = root,command = "hold_a"
var(10) = 1

[State 17120, VarSet];Button hold detector - Original
type = VarSet
triggerall = Time = [0,3]
trigger1 = isHelper(17120)
trigger1 = root,command != "hold_a"
var(10) = 0

[State 17120, ChangeState];Hold Long
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) = 1
value = 17123
ctrl = 0

[State 17120, ChangeState];Hold short
type = ChangeState
trigger1 = Time > 11
trigger1 = var(10) != 1
value = 17121
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Kirishima Kano - Type A) <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17121]
type = S
movetype = A
physics = S
anim = 17121
ctrl = 0
sprpriority = 4

[State 17121, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17121
time = -1
ignorehitpause = 1

[State 17121, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17121, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17121, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17121, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11721, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(9) = 0
trigger2 = AnimElemTime(9) = 3
trigger3 = AnimElemTime(9) = 6
value = s23,6
channel = 1

[State 17121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 0
name = "Fire"
postype = p1
pos = 20,-40
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27121
ID = 27120
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 3
name = "Fire"
postype = p1
pos = 20,-60
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27121
ID = 27121
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 3
name = "Fire"
postype = p1
pos = 20,-20
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27121
ID = 27121
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 6
name = "Fire"
postype = p1
pos = 20,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27121
ID = 27121
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 6
name = "Fire"
postype = p1
pos = 20,-10
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27121
ID = 27121
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17121, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17122
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Kirishima Kano - Type A) <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17122]
type = S
movetype = A
physics = S
anim = 17122
ctrl = 0
sprpriority = 4

[State 17122, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17122
time = -1
ignorehitpause = 1

[State 17122, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17122, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 17122, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 17122, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 17122, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator - Light(Kirishima Kano - Type A) <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 17123]
type = S
movetype = A
physics = S
anim = 17123
ctrl = 0
sprpriority = 4

[State 17123, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 17123
time = -1
ignorehitpause = 1

[State 17123, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 17123, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 17123, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 17123, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 11721, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(9) = 0
value = s23,7
channel = 1

[State 17123, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(9) = 0
name = "Fire"
postype = p1
pos = 140,-40
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 27123
ID = 27123
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 17123, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 17122
ctrl = 0

;----------------------------------------------------------------------
; Replicants - ArcDrive
;----------------------------------------------------------------------

;----------------------------------------------------------------------
; Replicant Coodinator(Necrosys) - Arcueid <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18020]
type = S
movetype = A
physics = S
anim = 18020
ctrl = 0
sprpriority = 4

[State 18020, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18020
time = -1
ignorehitpause = 1

[State 18020, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18020, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 18020, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 18020, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 18020, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 18020, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 18020, ChangeState]
type = ChangeState
trigger1 = Time > 10
value = 18021
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator(Necrosys) - Arcueid <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18021]
type = S
movetype = A
physics = S
anim = 18021
ctrl = 0
sprpriority = 4
velset = 0,0

[State 18021, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18021
time = -1
ignorehitpause = 1

[State 18021, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18021, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 18021, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 18021, VelSet]
type = VelSet
trigger1 = AnimElemTime(5) = 0
trigger2 = AnimElemTime(14) = 0
trigger3 = AnimElemTime(24) = 0
x = 6

[State 18021, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(5) = 0
trigger2 = AnimElemTime(14) = 0
trigger3 = AnimElemTime(24) = 0
value = s0,1
channel = 1
ignorehitpause = 1

[State 18021, Explod]
type = Explod
trigger1 = AnimElem = 4
anim = 28021
ID = 18021
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ontop = 1

[State 18021, Explod]
type = Explod
trigger1 = AnimElem = 13
anim = 28022
ID = 18022
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ontop = 1

[State 18021, Explod]
type = Explod
trigger1 = AnimElem = 23
anim = 28023
ID = 18023
pos = 0,0
postype = P1
bindtime = 1
removetime = -2
ownpal = 1
ontop = 1

[State 18021, HitEffect]
type = Helper
trigger1 = MoveHit
name = "HitSpark"
postype = p2
pos = 0,-50
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31007
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 18021, GuardEffect]
type = Helper
trigger1 = MoveGuarded
helpertype = normal
name = "GuardSpark"
postype = p2
pos = 0,-70
ownpal = 1
pausemovetime = 9999
supermovetime = 0
stateno = 30000
ID = 31009
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 18021, Hitdef]
type = Hitdef
trigger1 = AnimElem = 5
trigger2 = AnimElem = 6
trigger3 = AnimElem = 7
trigger4 = AnimElem = 8
trigger5 = AnimElem = 14
trigger6 = AnimElem = 15
trigger7 = AnimElem = 16
trigger8 = AnimElem = 17
trigger9 = AnimElem = 24
trigger10 = AnimElem = 25
trigger11 = AnimElem = 26
trigger12 = AnimElem = 27
attr = S,HA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = hard
fall.animtype = hard
ground.type = low
air.type = low
damage = 25,8
getpower = 0,0
givepower = 10,5
pausetime = 3,6
guard.pausetime = 3,6
sparkno = -1
guard.sparkno = -1
sparkxy = 0,0
hitsound = -1,0
guardsound = -1,0
ground.hittime = 25
ground.slidetime = 25
guard.hittime = 25
air.hittime = 25
guard.ctrltime = 25
airguard.ctrltime = 25
ground.velocity = -2,0
guard.velocity = -3
air.velocity = -2,-3
airguard.velocity = -2,-3
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
fall.recover = 0
forcestand = 0
fall = 0
air.fall = 0
kill = 1
guard.kill = 0
envshake.time = 10
envshake.ampl = -3
p2facing = 1

[State 18021, TargetState]
type = TargetState
trigger1 = !MoveGuarded
trigger1 = NumTarget > 0
trigger1 = Target,isHelper = 0
trigger1 = Target,StateNo != [120,155]
trigger1 = AnimElemTime(28) = 0
value = 60000
ignorehitpause = 1
persistent = 0

[State 18021, MoveHitReset]
type = MoveHitReset
trigger1 = MoveContact
ignorehitpause = 1

[State 18021, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 18022
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator(Necrosys) - Arcueid <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18022]
type = S
movetype = A
physics = S
anim = 18022
ctrl = 0
sprpriority = 4

[State 18022, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18022
time = -1
ignorehitpause = 1

[State 18022, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18022, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 18022, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 18022, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 18022, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator(Apotosys) - Warcueid <Appear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18120]
type = S
movetype = A
physics = S
anim = 18120
ctrl = 0
sprpriority = 4

[State 18120, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18120
time = -1
ignorehitpause = 1

[State 18120, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18120, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 18120, AttackMulSet]
type = AttackMulSet
trigger1 = 1
value = root,fvar(0)
ignorehitpause = 1

[State 18120, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) <= 75
fvar(0) = 7.5

[State 18120, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 64
fvar(1) = 6.4

[State 18120, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 18120, ChangeState]
type = ChangeState
trigger1 = Time > 10
trigger1 = root,command != "hold_c"
value = 18121
ctrl = 0

[State 18120, ChangeState]
type = ChangeState
trigger1 = Time > 10
trigger1 = root,command = "hold_c"
value = 18123
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator(Apotosys) - Warcueid <Attack>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18121]
type = S
movetype = A
physics = S
anim = 18121
ctrl = 0
sprpriority = 1
velset = 0,0

[State 18121, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18121
time = -1
ignorehitpause = 1

[State 18121, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18121, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 18121, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 18121, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(4) = 0
trigger2 = AnimElemTime(14) = 0
value = s3,10
channel = 1
ignorehitpause = 1

[State 18121, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(4) = 0
trigger2 = AnimElemTime(14) = 0
name = "Alt_Schle"
pos = 60,0
ownpal = 1
pausemovetime = 0
supermovetime = 0
stateno = 28121
ID = 18121
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 18121, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 18122
ctrl = 0

;----------------------------------------------------------------------
; Replicant Coodinator(Apotosys) - Warcueid <Disappear>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18122]
type = S
movetype = A
physics = S
anim = 18122
ctrl = 0
sprpriority = 4

[State 18122, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18122
time = -1
ignorehitpause = 1

[State 18122, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18122, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(0) >= 0
fvar(0) = -7.5

[State 18122, VarAdd];Transition
type = VarAdd
trigger1 = Time > 0
trigger1 = fvar(1) <= 256
fvar(1) = 19.2

[State 18122, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),ceil(fvar(1))

[State 18122, OffSet]
type = OffSet
trigger1 = 1
x = 2
y = 0

[State 18122, DestroySelf]
type = DestroySelf
trigger1 = Time > 10

;----------------------------------------------------------------------
; Replicant Coodinator(Apotosys) - Warcueid <Attack - Hold Long>
;
;fvar(0)	- Brightness variable for Transition
;fvar(1)	- Transit variable for Transition

[Statedef 18123]
type = S
movetype = A
physics = S
anim = 18121
ctrl = 0
sprpriority = 1
velset = 0,0

[State 18123, HitOverRide]
type = HitOverRide
trigger1 = 1
attr = SCA, AA, AP, AT
slot = 0
stateno = 18123
time = -1
ignorehitpause = 1

[State 18123, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = -1
ignorehitpause = 1

[State 18123, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 18123, Trans]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = ceil(fvar(0)),64-ceil(fvar(1))

[State 18123, PlaySnd]
type = PlaySnd
trigger1 = AnimElemTime(4) = 0
trigger2 = AnimElemTime(14) = 0
value = s3,10
channel = 1
ignorehitpause = 1

[State 18123, Helper];Create Child Helper
type = Helper
trigger1 = AnimElemTime(4) = 0
trigger2 = AnimElemTime(14) = 0
name = "Alt_Schle"
pos = 60,0
ownpal = 1
pausemovetime = 0
supermovetime = 0
stateno = 28123
ID = 18123
size.xscale = 1
size.yscale = 1
ignorehitpause = 1

[State 18123, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 18122
ctrl = 0
